Loading...
Searching...
No Matches
juce_LocalisedStrings.h File Reference

## Classes

class | juce::LocalisedStrings
| Used to convert strings to localised foreign-language versions. More...

## Namespaces

namespace | juce

## Macros

#define | TRANS(stringLiteral)
| Uses the LocalisedStrings class to translate the given string literal.
#define | NEEDS_TRANS(stringLiteral)
| A dummy version of the TRANS macro, used to indicate a string literal that should be added to the translation file by source-code scanner tools.

## Functions

JUCE_API String | juce::translate (const String &stringLiteral)
| Uses the LocalisedStrings class to translate the given string literal.
JUCE_API String | juce::translate (const char *stringLiteral)
| Uses the LocalisedStrings class to translate the given string literal.
JUCE_API String | juce::translate (CharPointer_UTF8 stringLiteral)
| Uses the LocalisedStrings class to translate the given string literal.
JUCE_API String | juce::translate (const String &stringLiteral, const String &resultIfNotFound)
| Uses the LocalisedStrings class to translate the given string literal.

## Macro Definition Documentation

## TRANS

#define TRANS | ( |  | stringLiteral | ) |

Value:
juce::translate (stringLiteral)
juce::translate
JUCE_API String translate(const String &stringLiteral)
Uses the LocalisedStrings class to translate the given string literal.

Uses the LocalisedStrings class to translate the given string literal.

This macro is provided for backwards-compatibility, and just calls the translate() function. In new code, it's recommended that you just call translate() directly instead, and avoid using macros.

See also
  translate(), LocalisedStrings

Referenced by juce::StandalonePluginHolder::askUserToLoadState(), juce::StandalonePluginHolder::askUserToSaveState(), and juce::StandalonePluginHolder::showAudioSettingsDialog().

## NEEDS_TRANS

#define NEEDS_TRANS | ( |  | stringLiteral | ) |

Value:
(stringLiteral)

A dummy version of the TRANS macro, used to indicate a string literal that should be added to the translation file by source-code scanner tools.

Wrapping a string literal in this macro has no effect, but by using it around strings that your app needs to translate at a later stage, it lets automatic code-scanning tools find this string and add it to the list of strings that need translation.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited